Teams

List teams

GET
/v1/teams

Lists all teams in an organization.

Authorization

ApiKeyAuth
headerAuthorization<token>

Response Body

The list of teams in an organization

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/teams' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "005e7108-c85c-41d1-a945-4a8dc58c4399",
"name": "Team A"
},
{
"id": "83cc3c21-9d28-4250-b6ea-b3a6333c5c73",
"name": "Team B"
}
]
}

Create team

POST
/v1/teams

Create a team.

Authorization

ApiKeyAuth organization.team
headerAuthorization<token>

Scope: organization.team

Request Body

The team name

application/json
  1. body
name*string

Response Body

The created team

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/teams' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "name": "Team A"}'
{
"data": {
"id": "005e7108-c85c-41d1-a945-4a8dc58c4399",
"name": "Team A"
}
}

List members

GET
/v1/teams/{teamId}/agents

Lists all agents/admins in a team.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

teamId*string

The team id

Formatuuid

Response Body

List of agents/admins in the specified team

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}/agents' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "e8333378-62ed-4062-93b5-fadae6f41175",
"name": "Agent A",
"email": "aa@example.org"
},
{
"id": "40735745-9fde-4b6d-8941-e82e4e6d5001",
"name": "Agent B",
"email": "ab@example.org"
}
]
}

Remove members

DELETE
/v1/teams/{teamId}/agents

Remove agents/admins from a team.

Authorization

ApiKeyAuth organization.team
headerAuthorization<token>

Scope: organization.team

Path Parameters

teamId*string

The team id

Formatuuid

Request Body

List of agent/admin ids to remove from the specified team

application/json
  1. body
agentIds?array<>

Response Body

The agents/admins were successfully removed from the team

Example Request
curl -X DELETE 'https://dev.dixa.io/v1/teams/{teamId}/agents' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "agentIds": [    "a8080cf3-9d55-41dd-a8ef-b02414399e7a",    "d53dbec1-e79c-4736-b9a1-15f6dce71ed4"  ]}'

Empty

Add members

PATCH
/v1/teams/{teamId}/agents

Add agents/admins to a team.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

teamId*string

The team id

Formatuuid

Request Body

List of agent/admin ids to add to the specified team

application/json
  1. body
agentIds?array<>

Response Body

Example Request
curl -X PATCH 'https://dev.dixa.io/v1/teams/{teamId}/agents' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "agentIds": [    "912d5148-6918-4420-b23a-8584b896c8ae",    "a8080cf3-9d55-41dd-a8ef-b02414399e7a"  ]}'

Empty

List presence

GET
/v1/teams/{teamId}/presence

List the presence status of all agents/admins in a team.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

teamId*string

The team id

Formatuuid

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

List of agents/admins presence status in the specified team

application/json
  1. response
data?array<>
meta?
Example Request
curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}/presence' \  -H 'Authorization: <API token>'
{
"data": [
{
"userId": "d53dbec1-e79c-4736-b9a1-15f6dce71ed4",
"requestTime": "2021-12-01T12:46:35.935",
"lastSeen": "2021-12-01T12:46:35.935",
"presenceStatus": "Working",
"connectionStatus": "Online",
"activeChannels": [
"Email",
"FacebookMessenger"
]
},
{
"userId": "e8ecd53b-2f6c-4471-a3a0-34d94caff8c8",
"requestTime": "2021-12-01T12:46:35.935",
"lastSeen": "2021-12-01T12:46:35.935",
"presenceStatus": "Working",
"connectionStatus": "Online",
"activeChannels": [
"Email",
"FacebookMessenger"
]
}
]
}

Get team

GET
/v1/teams/{teamId}

Get a team by id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

teamId*string

The team id

Formatuuid

Response Body

The team

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "005e7108-c85c-41d1-a945-4a8dc58c4399",
"name": "Team A"
}
}

Delete team

DELETE
/v1/teams/{teamId}

Delete a team.

Authorization

ApiKeyAuth organization.team
headerAuthorization<token>

Scope: organization.team

Path Parameters

teamId*string

The team id

Formatuuid

Response Body

The team was successfully deleted

Example Request
curl -X DELETE 'https://dev.dixa.io/v1/teams/{teamId}' \  -H 'Authorization: <API token>'

Empty